[8.90.6] LibreELEC 9.0 Alpha for S905/S912 devices

  • Yay, it works! :D



    If this info was included in the first post, it would have saved us from a lot of frustration.


    I could of saved you the frustration a lot sooner if I had a proper bug report from the start, as I said in a previous post, most problems can be resolved in minutes if I know what is causing them but without any useful information I can't really help and it only took 3 days for someone to provide what I needed, I'm glad it's all good for you now :)

  • GDPR-2

    i may found the issue. its the inputstream addon.


    Starting with a fresh install of Kodi.
    Add-ons>Download>Install from repo>Kodinerds>Addon repo>Netflix addon repo>Install
    Back to Install from repo>Netflix>Video>Netflix>Install>0.12.6>Ok
    Open Netflix>Login>Enjoy =D

    -> this works


    since we have auto update enabled, once inputstream addon gets updated automatically. then netflix will not work anymore. not sure why its incompatible with your build.

  • Your right there, the updated addon does seem to cause an issue, I will look into this now.


    -edit
    Looks like the updated addon causes a segmentation fault because the included libraries wasn't built for our devices. The kodi repository is pointing to Raybuntus OdroidC2 because there isn't one available for the S905 for Libreelec v9 at present,

    Best option is to disable the auto update specific to the inputstream.adaptive addon for now.

    I will have to compile all of the kodi binary addons and host them on my server and change the build to reflect this.

    Edited 2 times, last by GDPR-2 ().

  • Thanks, not sure how Gendo's LE9 build managed to fix that.

  • So, what do have to do when I already use the updated inputstream addon which is incomatible?

    Any way to downgrade?

  • So, what do have to do when I already use the updated inputstream addon which is incomatible?

    Any way to downgrade?

    You can browse to the box over the network and remove the inputstream.adaptive folder from Addons then reboot.

    A new build will be up later and binaries built specifically for the S905 just hang tight :)

  • is that really a solution, staying on an old version of inputstream? cos the new version works with other builds. and what if new versions of netflix plugin stop working with this version of inputstream?

  • is that really a solution, staying on an old version of inputstream? cos the new version works with other builds. and what if new versions of netflix plugin stop working with this version of inputstream?


    It was merely a suggestion not a solution and as I already said this will be rectified later on today.


    The version it is updating with is not any newer but was built for a different platform.

  • It was merely a suggestion not a solution and as I already said this will be rectified later on today.


    The version it is updating with is not any newer but was built for a different platform.

    great to hear that

  • Short question, I have to flash your build from first post, then it's update automatically? Right?

    Yes

    What happens is the box will check the server daily to see if there is an update, if there is it will then download it and you will get a notification on both the update being available and also again when the download is finished.

    When the download is finished you just reboot the box and it will be applied automatically. The notification will keep reminding you until you do.

  • Is the GUI for skinning 5.13 as I have a skin that I use and reporting 5.13 no good??? Nothing serious just assumed it should be 5.13.0 --?? I took out the requirement and works fine...

  • So,

    what you're telling me here,

    is that I have to install clean, from scratch, this build in order to make amazon/netflix work?!

  • Hi,

    I just tried to install v1.0.2 on my KI Plus. Everything worked but it does only see the DVB-T receiver. Why does it not see the DVB-S and DVB-C?

  • So,

    what you're telling me here,

    is that I have to install clean, from scratch, this build in order to make amazon/netflix work?!


    No, there is just an issue where updating your addons on the current build downloads an incompatible copy of inputstream.adaptive which breaks Netflix. It will be fixed in the next build which will be ready shortly, recompiling libreelec is a very time consuming process, roughly 2-3 hours each time I do it.

    I have also removed the kodinerds repo from the next build and added the netflix repo, and enabled all the steaming media plugins by default so it's less hoops to jump through when installing netflix on a clean box.